# Uses of Interface
org.jboss.logging.processor.model.ThrowableType

Packages that use ThrowableType
Package
Description
org.jboss.logging.processor.model

## Uses of ThrowableType in org.jboss.logging.processor.model

Methods in org.jboss.logging.processor.model that return ThrowableType
Modifier and Type
Method
Description
`ThrowableType`
ReturnType.`throwableReturnType()`
Returns the exception return type if `ReturnType.isThrowable()` returns `true`.
Methods in org.jboss.logging.processor.model that return types with arguments of type ThrowableType
Modifier and Type
Method
Description
`Set<ThrowableType>`
MessageMethod.`thrownTypes()`
Returns a collection of throwable types the method throws.